geoipupdate failing

elf

Verified User
Joined
Oct 2, 2015
Messages
5
So I have update_versions set to run nightly and today it has stumbled across the newly available version of geoipupdate 4.1.5.

Initially the update failed because "go" was not found. Ok cool, yum install golang-bin fixed that.
Then it failed because "pandoc" was not found. Hmmm... ok, yum install pandoc.
(this is centos 7, both packages + dependencies came from epel)

Now the build script is outputting the following:

# ./build geoipupdate
./build: line 17147: ./configure: No such file or directory
Trying to make geoipupdate
mkdir -p build
(cd cmd/geoipupdate && go build -ldflags '-X main.defaultConfigFile=/usr/local/etc/GeoIP.conf -X main.defaultDatabaseDirectory=/usr/local/share/GeoIP -X "main.version=unknown"')
sed -e 's|CONFFILE|/usr/local/etc/GeoIP.conf|g' -e 's|DATADIR|/usr/local/share/GeoIP|g' -e 's|$||g' conf/GeoIP.conf.default > build/GeoIP.conf
sed -e 's|CONFFILE|/usr/local/etc/GeoIP.conf|g' -e 's|DATADIR|/usr/local/share/GeoIP|g' -e 's|$||g' doc/GeoIP.conf.md > build/GeoIP.conf.md
sed -e 's|CONFFILE|/usr/local/etc/GeoIP.conf|g' -e 's|DATADIR|/usr/local/share/GeoIP|g' -e 's|$||g' doc/geoipupdate.md > build/geoipupdate.md
dev-bin/make-man-pages.pl "build"
cp cmd/geoipupdate/geoipupdate build
make: *** No rule to make target `install'. Stop.
Installing libmaxminddb-update cronjob...
what's the fix?
 

elf

Verified User
Joined
Oct 2, 2015
Messages
5
looks like versions.txt has geoipupdate 3.1.1 set in it now, build update_versions (and build geoipupdate) working fine.
 
Top